Skip to content
Start here

List User Agent Blocking rules

client.firewall.uaRules.list(UARuleListParams { zone_id, description, page, 3 more } params, RequestOptionsoptions?): V4PagePaginationArray<UARuleListResponse { id, configuration, description, 2 more } >
GET/zones/{zone_id}/firewall/ua_rules

Fetches User Agent Blocking rules in a zone. You can filter the results using several optional parameters.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
ParametersExpand Collapse
params: UARuleListParams { zone_id, description, page, 3 more }
zone_id: string

Path param: Defines an identifier.

maxLength32
description?: string

Query param: A string to search for in the description of existing rules.

page?: number

Query param: Page number of paginated results.

minimum1
paused?: boolean

Query param: When true, indicates that the rule is currently paused.

per_page?: number

Query param: The maximum number of results per page. You can only set the value to 1 or to a multiple of 5 such as 5, 10, 15, or 20.

maximum1000
minimum1
user_agent?: string

Query param: A string to search for in the user agent values of existing rules.

ReturnsExpand Collapse
UARuleListResponse { id, configuration, description, 2 more }
id?: string

The unique identifier of the User Agent Blocking rule.

maxLength32
configuration?: Configuration { target, value }

The configuration object for the current rule.

target?: string

The configuration target for this rule. You must set the target to ua for User Agent Blocking rules.

value?: string

The exact user agent string to match. This value will be compared to the received User-Agent HTTP header value.

description?: string

An informative summary of the rule.

maxLength1024
mode?: "block" | "challenge" | "js_challenge" | "managed_challenge"

The action to apply to a matched request.

maxLength12
One of the following:
"block"
"challenge"
"js_challenge"
"managed_challenge"
paused?: boolean

When true, indicates that the rule is currently paused.

List User Agent Blocking rules

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const uaRuleListResponse of client.firewall.uaRules.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(uaRuleListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "372e67954025e0ba6aaa6d586b9e0b59",
      "configuration": {
        "target": "ua",
        "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
      },
      "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
      "mode": "js_challenge",
      "paused": false
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "372e67954025e0ba6aaa6d586b9e0b59",
      "configuration": {
        "target": "ua",
        "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
      },
      "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
      "mode": "js_challenge",
      "paused": false
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}